REGULATOR_GET(9)

NAME
regulator_get - lookup and obtain a reference to a regulator.

SYNOPSIS

struct regulator * regulator_get(struct device * dev, const char * id);

ARGUMENTS

dev
    device for regulator “consumer”

id
    Supply name or regulator ID.

DESCRIPTION

Returns a struct regulator corresponding to the regulator producer, or IS_ERR condition containing errno.

Use of supply names configured via regulator_set_device_supply is strongly encouraged. It is recommended that the supply name used should match the name used for the supply and/or the relevant device pins in the datasheet.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT